use Parallel::Benchmark;
use Cache::Memcached::Fast;
my $bm = Parallel::Benchmark->new(
    setup => sub {
        my ($self) = @_;
        $self->stash->{cache}
            = Cache::Memcached::Fast->new({
                servers => ["127.0.0.1:11211"],
            });
    },
    benchmark => sub {
        my ($self, $id) = @_;
        $self->stash->{cache}->get("foo");
        return 1; # score
    },
    teardown => sub {
        my ($self) = @_;
        delete $self->stash->{cache};
    },
    concurrency => 10,
    time => 3,
);
my $result = $bm->run;
